<template>
	<view>
		<view class="top-content" :style="$store.state.theme.currentMoban">
			<!-- 搜索框 -->
			<view class="search-cont">
				<view class="inner">
					<image class="icon-search" src="/static/images/search.png" mode=""></image>
					<input type="text" v-model="keyword" placeholder="输入关键字搜索" confirm-type="search" @confirm="doSearch" placeholder-style="font-size:28rpx;color:#BBBBBB;font-family: PingFang SC;" />
				</view>
			</view>
			
			<!-- 关键字列表 -->
			<view class="dept-list">  
				<scroll-view   scroll-x="true" >
					<view class="inner">
						<view v-for="(item,index) in depts" :key="index" :class="deptId == item.deptId?'item active':'item'" @click="choseDept(item)">
							{{ item.deptName }}
						</view>
					</view>
				</scroll-view>
			</view>
		</view>
		<mescroll-body  top="192rpx"  ref="mescrollRef" @init="mescrollInit" @down="downCallback" @up="upCallback" :down="downOption" :up="upOption">
			<view class="disease-list">
				<view class="item" v-for="(item,index) in dataList" :key="index" @click="showDetail(item)">
					<view class="left">
						<view class="title ellipsis1">{{ item.diseaseName }}</view>
					</view>
					<view class="right">
						<image src="../../static/images/common/arrow_right.png"></image>
					</view>
				</view>
			</view>
		</mescroll-body>
	</view>
</template>

<script>
	import {getDiseaseList} from '@/api/disease.js'
	import {getDepartmentList} from '@/api/department.js'
	//import {getDepartmentList} from '@/api/doctorOrder.js'
	import MescrollMixin from "@/uni_modules/mescroll-uni/components/mescroll-uni/mescroll-mixins.js";
	export default {
		mixins: [MescrollMixin], 
		data() {
			return {
				depts:[],
				deptId:0,
				keyword: '',
				mescroll:null,
				downOption: {   //下拉刷新
				 	use:true,
					auto: false // 不自动加载 (mixin已处理第一个tab触发downCallback)
				},
				upOption: {
					onScroll:false,
					use: true, // 是否启用上拉加载; 默认true
					page: {
						pae: 0, // 当前页码,默认0,回调之前会加1,即callback(page)会从1开始
						size: 10 // 每页数据的数量,默认10
					},
					noMoreSize: 10, // 配置列表的总数量要大于等于5条才显示'-- END --'的提示
					textNoMore:"已经到底了",
					empty: {
						icon:'https://cos.his.cdwjyyh.com/fs/20240423/cf4a86b913a04341bb44e34bb4d37aa2.png',
						tip: '暂无数据'
					}
				},
				dataList: []
			};
		},
		onShow() {
			this.getDepartmentList();
		},
		methods:{
			doSearch(){
				this.mescroll.resetUpScroll()
			},
			getDepartmentList(){
				var that=this;
				let data = {};
				getDepartmentList(data).then(
					res => {
						if(res.code==200){
							// var allDept={departmentId:0,departmentName:"全部"}
							// this.depts.push(allDept);
							// this.depts=this.depts.concat(res.data);
							this.depts=res.data;
						}else{
							uni.showToast({
								icon:'none',
								title: "请求失败",
							});
						}
					},
					rej => {}
				);
			},
			mescrollInit(mescroll) {
				this.mescroll = mescroll;
			},
			/*下拉刷新的回调 */
			downCallback(mescroll) {
				mescroll.resetUpScroll()
			},
			upCallback(page) {
				//联网加载数据
				var that = this;
				var data = {
					keyword:this.keyword,
					deptId:this.deptId,
					pageNum: page.num,
					pageSize: page.size
				};
				getDiseaseList(data).then(res => {
					if(res.code==200){
						//设置列表数据
						if (page.num == 1) {
							that.dataList = res.data.list; 
							
						} else {
							that.dataList = that.dataList.concat(res.data.list);
							 
						}
						that.mescroll.endBySize(res.data.list.length, res.data.total);
						
					}else{
						uni.showToast({
							icon:'none',
							title: "请求失败",
						});
						that.dataList = null;
						that.mescroll.endErr();
					}
				});
			},
			choseDept(item) {
				this.deptId = item.deptId;
				this.mescroll.resetUpScroll()
			},
			showDetail(item) {
				uni.navigateTo({
					url: './diseaseDetails?diseaseId=' + item.diseaseId
				})
			}
		}
	}
</script>

<style lang="scss">
	.top-content{
		width: 100%;
		position: fixed;
		top: 0;
		left: 0;
		z-index: 10;
	}
	.top-title{
		height: 88upx;
		line-height: 88upx;
		font-size: 42upx;
		font-family: Source Han Sans CN;
		font-weight: bold;
		color: #222222;
		padding-left: 41upx;
		background-color: #FFFFFF;
	}
	.search-cont{
		padding: 16upx 30upx;
		background-color: #FFFFFF;
		.inner{
			box-sizing: border-box;
			width: 100%;
			height: 72upx;
			background: #F7F7F7;
			border-radius: 36upx;
			display: flex;
			align-items: center;
			padding: 0 30upx;
			.icon-search{
				width: 28upx;
				height: 28upx;
				margin-right: 20upx;
			}
			input{
				height: 60upx;
				line-height: 60upx;
				flex: 1;
			}
		}
	}
	.dept-list{
		box-sizing: border-box;
		background: #fff;
		padding: 10upx 27upx;
		height: 100upx;
		.inner{
			display: flex;
		}
		.item{
			flex-shrink: 0;
			padding: 0 24upx;
			height: 64upx;
			line-height: 64upx;
			font-size: 28upx;
			font-family: PingFang SC;
			font-weight: 500;
			color: #018C39;
			background: #ffffff;
			border: 1px solid #018C39;
			border-radius: 32upx;
			margin: 0 20upx 20upx 0;
			&.active{
				color: #FFFFFF;
				background: #018C39;
				border: 1px solid #018C39;
			}
		}
	}
	.disease-list{
		margin-top: 20upx;
		padding: 0 10upx;
		.item{
			box-sizing: border-box;
			background: #FFFFFF;
			border-radius: 16upx;
			padding: 30upx;
			display: flex;
			align-items: center;
			justify-content: space-between;
			margin-bottom: 20upx;
			.left{
				flex: 1;
				padding-right: 40upx;
				display: flex;
				flex-direction: column;
				justify-content: space-between;
				.title{
					font-size: 32upx;
					font-family: PingFang SC;
					font-weight: bold;
					color: #111111;
					line-height: 48upx;
				}
			}
			.right{
				image{
					width: 50upx;
					height: 50upx;
				}
			}
		}
	}
</style>
